#include <iostream>

using namespace std;

int main()
{
    int N,M;
    vector<int>druzeljubivost;
    vector<pair(int x, int y)>parovi;
    vector<int>poznanstva;
    bool pozitivni=true;
    int maxsreca=0;
    cin>>N;
    cin>>M;
    for(i=0;i<N;i++)
    {
        cin>>druzeljubivost[i];
        if(druzeljubivost[i]<0)
            pozitivni=false;
    }
    for(i=0;i<M;i++)
    {
        cin>>parovi[i].first;
        cin>>parovi[i].second;
        poznanstva[parovi[i].first]++;
        poznanstva[parovi[i].second]++;
    }
    if(pozitivni)
    {
        for(i=0;i<N;i++)
            maxsreca+=druzeljubivost[i]*poznanstva[i];
    }
    
    cout<<maxsreca;
    return 0;
}